Main Page Modules Class Hierarchy Compound List File List Compound Members

# cOutputScalarManager Class Reference

`#include <envirext.h>`

List of all members.

## Public Methods

Constructor, destructor
| cOutputScalarManager ()
virtual | ~cOutputScalarManager ()
Controlling the beginning and end of collecting data.
virtual void | startRun ()=0
virtual void | endRun ()=0
Scalar statistics.
virtual void | recordScalar (cModule *module, const char *name, double value)=0
virtual void | recordScalar (cModule *module, const char *name, const char *text)=0
virtual void | recordScalar (cModule *module, const char *name, cStatistic *stats)=0
virtual const char* | fileName () const=0

## Detailed Description

Abstract class. cOutputScalarManagers are plugins into the Envir user interface library (src/envir) that handle recording the scalar output data, output via the cModule::recordScalar() family of functions.

The default output scalar manager is cFileOutputScalarManager, defined in the Envir library.

## Constructor & Destructor Documentation

cOutputScalarManager::cOutputScalarManager ( | )`[inline, explicit]`

| Constructor.

cOutputScalarManager::~cOutputScalarManager ( | )`[inline, virtual]`

| Destructor.

## Member Function Documentation

void cOutputScalarManager::endRun ( | )`[pure virtual]`

| Closes collecting. Called at the end of a simulation run.

const char * cOutputScalarManager::fileName ( | ) const`[pure virtual]`

| Returns the output scalar file name. Returns NULL if this object is not working into a file output.

void cOutputScalarManager::recordScalar ( | cModule * module,
| const char * name,
| cStatistic * stats )`[pure virtual]`

| Records a statistics object, in a default configuration into the scalar result file.

void cOutputScalarManager::recordScalar ( | cModule * module,
| const char * name,
| const char * text )`[pure virtual]`

| Records a string result, in a default configuration into the scalar result file.

void cOutputScalarManager::recordScalar ( | cModule * module,
| const char * name,
| double value )`[pure virtual]`

| Records a double scalar result, in a default configuration into the scalar result file.

void cOutputScalarManager::startRun ( | )`[pure virtual]`

| Opens collecting. Called at the beginning of a simulation run.

The documentation for this class was generated from the following file:

- envirext.h